Bug 1126284 - [RFE] documentation does not cover using openshift.sh without JBoss EAP or EWS subsription
Summary: [RFE] documentation does not cover using openshift.sh without JBoss EAP or EW...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Alex Dellapenta
QA Contact: Bilhar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 05:23 UTC by Kenjiro Nakayama
Modified: 2018-12-06 17:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 20635, Deployment Guide-2-1.0 Build Date: 24-06-2014 12:35:12 Topic ID: 32108-649766 [Latest]
Last Closed: 2016-07-19 05:42:25 UTC


Attachments (Terms of Use)

Description Kenjiro Nakayama 2014-08-04 05:23:41 UTC
Title: does not cover using openshift.sh without JBoss EAP or EWS subsription

Describe the issue:

When we install by openshift.sh withought EAP or EWS subscription, we will get sub dependencies failed error. 

[1] https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html-single/Deployment_Guide/index.html#sect-Using_the_Installation_Scripts

Suggestions for improvement:

Documentation should say about following two options.

  CONF_NO_JBOSSEWS=1
  CONF_NO_JBOSSEAP=1

Comment 2 Alex Dellapenta 2014-12-11 21:12:09 UTC
Apologies for the delay. With the release of OSE 2.2, the NO_JBOSSEWS/JBOSSEAP options have been deprecated/removed. From https://raw.githubusercontent.com/openshift/openshift-extras/enterprise-2.2/enterprise/install-scripts/generic/openshift.sh:

# 2. Prior to 2.2, the installer defaulted to installing all known
#    cartridges shipped for OSE. Beginning with OSE 2.2, the default
#    set of cartridges will not include JBoss EAP or any other cartridges
#    that require an add-on subscription (including Fuse and AM-Q).
#    Customers with the necessary subscriptions can specify extra
#    cartridges desired with the CONF_CARTRIDGES parameter, e.g.:
#      # export CONF_CARTRIDGES=standard,jbosseap,fuse,amq
#    Deprecated NO_JBOSSEAP/EWS options are now removed entirely.

However, this section on openshift.sh should still provide more information regarding OSE subscriptions and the cartridges they provide:

https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html-single/Deployment_Guide/index.html#Selecting_a_Package_Source

Specifically, it should link to the following sections for more details on broker and node hosts, respectively:

https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html-single/Deployment_Guide/index.html#sect-Configuring_Broker_Host_Entitlements

https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html-single/Deployment_Guide/index.html#sect-Configuring_Node_Host_Entitlements

Comment 3 Luke Meyer 2014-12-12 14:53:38 UTC
To be clear, EWS comes with any OpenShift node subscription (you just need to enable the channels it requires in order to install). EAP is an add-on subscription supplying extra channels.

Whether it's under 2.1 or 2.0, we want customers to use CONF_CARTRIDGES to specify which cartridges to install with openshift.sh. The channels required are determined based on that. Given oo-install doesn't yet provide an interface to this option, and users sometimes prefer to configure subscriptions and yum themselves before running the install, users probably need to have some understanding of how to match channels to premium cartridges.


Note You need to log in before you can comment on or make changes to this bug.